import Drag from '@/Engine/Drag';
import React from 'react';


export const route: GT.IRouterOptions[] = [
  {
    key: PAGE_KEY.Home,
    component: () => import('@/Project/pages/Home/index'),
    options: {
      name: 'Home',
      right: 0,
      top: 20,
      width: 400,
      height: 500,
    },
  },
  {
    key: PAGE_KEY.Access,
    component: () => import('@/Project/pages/Access/index'),
    options: {
      name: 'Access',
      left: 100,
      top: 20,
      width: 400,
      height: 500,
    },
  },
];

let Pages: { [key: string]: any } = {};
route.forEach((item) => {
  Pages[item.key] = Drag(item);
});

export default Pages;
