import Func from '@/Engine/ECS/Function';
import LoginHandle from './Handlers/LoginHandler';
import AppPlatformHandle from "./Handlers/AppPlatformHandle"

export enum FuncMainState {
  Login, // 登录页
  AppPlatform, // 平台选择页
  ProjectSelection, // 项目选择页
  PageMenu, // 菜单页
}

export default class FuncMain extends Func<FuncMainState> {
  constructor(name: string) {
    super(name);
    super.initStates((sm) => {
      sm.addState(FuncMainState.Login, new LoginHandle());
      sm.addState(FuncMainState.AppPlatform, new AppPlatformHandle());
    });
  }
}

